//---------------------------------------------------------------------------

#ifndef MainH
#define MainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <DB.hpp>
#include <DBTables.hpp>
#include <DateUtils.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
#include <ImgList.hpp> //날짜계산을 위해 포함.
typedef unsigned int UNIT;
extern "C" __declspec(dllimport) int __stdcall sLock(UINT FuncCode, UINT Pass1, UINT Pass2, UINT InPut1, UINT InPut2, UINT *Retrun1, UINT *Return2);
//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:	// IDE-managed Components
        TBitBtn *CalBtn;
        TBitBtn *DataInBtn;
        TBitBtn *JungSanBtn;
        TBitBtn *PartBtn;
        TBitBtn *SellerBtn;
        TBitBtn *UserBtn;
        TBitBtn *ConfigBtn;
        TBitBtn *BitBtn1;
        TBitBtn *GuestBtn;
        TDataSource *DataSource1;
        TQuery *Query1;
        TImage *Image1;
        TImage *Image2;
        TImage *Image3;
        TImage *Image4;
        TImage *Image5;
        TImage *Image6;
        TImage *Image7;
        TImage *Image8;
        TImage *Image9;
        TImage *Image10;
        TTimer *Timer1;

        void __fastcall DataInBtnClick(TObject *Sender);
        void __fastcall CalBtnClick(TObject *Sender);
        void __fastcall JungSanBtnClick(TObject *Sender);
        void __fastcall PartBtnClick(TObject *Sender);
        void __fastcall SellerBtnClick(TObject *Sender);
        void __fastcall UserBtnClick(TObject *Sender);
        void __fastcall ConfigBtnClick(TObject *Sender);
        void __fastcall BitBtn1Click(TObject *Sender);
        void __fastcall GuestBtnClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TMainForm(TComponent* Owner);
        __fastcall TMainForm(int inPass,TComponent* Owner);
        void ReadCon();
        bool CheckLock();
};
//---------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
